Index: /XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 1536)
+++ /XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 1537)
@@ -869,8 +1031,12 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin_
       LOGICAL(KIND=C_BOOL) :: jbegin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: lat_name_
+      LOGICAL(KIND=C_BOOL) :: lat_name__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue_1d_
       LOGICAL(KIND=C_BOOL) :: latvalue_1d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue_2d_
       LOGICAL(KIND=C_BOOL) :: latvalue_2d__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: lon_name_
+      LOGICAL(KIND=C_BOOL) :: lon_name__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
       LOGICAL(KIND=C_BOOL) :: long_name__tmp
@@ -920,4 +1086,10 @@
       ENDIF
 
+      IF (PRESENT(bounds_lat_name_)) THEN
+        bounds_lat_name__tmp = cxios_is_defined_domain_bounds_lat_name &
+      (domain_hdl%daddr)
+        bounds_lat_name_ = bounds_lat_name__tmp
+      ENDIF
+
       IF (PRESENT(bounds_lon_1d_)) THEN
         bounds_lon_1d__tmp = cxios_is_defined_domain_bounds_lon_1d &
@@ -932,4 +1104,16 @@
       ENDIF
 
+      IF (PRESENT(bounds_lon_name_)) THEN
+        bounds_lon_name__tmp = cxios_is_defined_domain_bounds_lon_name &
+      (domain_hdl%daddr)
+        bounds_lon_name_ = bounds_lon_name__tmp
+      ENDIF
+
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_domain_comment &
+      (domain_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
       IF (PRESENT(data_dim_)) THEN
         data_dim__tmp = cxios_is_defined_domain_data_dim &
@@ -974,4 +1158,16 @@
       ENDIF
 
+      IF (PRESENT(dim_i_name_)) THEN
+        dim_i_name__tmp = cxios_is_defined_domain_dim_i_name &
+      (domain_hdl%daddr)
+        dim_i_name_ = dim_i_name__tmp
+      ENDIF
+
+      IF (PRESENT(dim_j_name_)) THEN
+        dim_j_name__tmp = cxios_is_defined_domain_dim_j_name &
+      (domain_hdl%daddr)
+        dim_j_name_ = dim_j_name__tmp
+      ENDIF
+
       IF (PRESENT(domain_ref_)) THEN
         domain_ref__tmp = cxios_is_defined_domain_domain_ref &
@@ -1004,4 +1200,10 @@
       ENDIF
 
+      IF (PRESENT(lat_name_)) THEN
+        lat_name__tmp = cxios_is_defined_domain_lat_name &
+      (domain_hdl%daddr)
+        lat_name_ = lat_name__tmp
+      ENDIF
+
       IF (PRESENT(latvalue_1d_)) THEN
         latvalue_1d__tmp = cxios_is_defined_domain_latvalue_1d &
@@ -1016,4 +1218,10 @@
       ENDIF
 
+      IF (PRESENT(lon_name_)) THEN
+        lon_name__tmp = cxios_is_defined_domain_lon_name &
+      (domain_hdl%daddr)
+        lon_name_ = lon_name__tmp
+      ENDIF
+
       IF (PRESENT(long_name_)) THEN
         long_name__tmp = cxios_is_defined_domain_long_name &
